## WebKitWebsiteDataAccessPermissionRequest WebKitWebsiteDataAccessPermissionRequest — A permission request for accessing website data from third-party domains |

## Functions

const char * | webkit_website_data_access_permission_request_get_requesting_domain ()
const char * | webkit_website_data_access_permission_request_get_current_domain ()

## Types and Values

struct | WebKitWebsiteDataAccessPermissionRequest

## Object Hierarchy

        GObject
        ╰── WebKitWebsiteDataAccessPermissionRequest

## Implemented Interfaces

WebKitWebsiteDataAccessPermissionRequest implements WebKitPermissionRequest.

## Description

WebKitWebsiteDataAccessPermissionRequest represents a request for permission to allow a third-party domain access its cookies.

When a WebKitWebsiteDataAccessPermissionRequest is not handled by the user, it is denied by default.

## Functions

### webkit_website_data_access_permission_request_get_requesting_domain ()

    const char *
    webkit_website_data_access_permission_request_get_requesting_domain
                                   (WebKitWebsiteDataAccessPermissionRequest *request);

Get the domain requesting permission to access its cookies while browsing the current domain.

#### Parameters

request | a WebKitWebsiteDataAccessPermissionRequest |

#### Returns

the requesting domain name

Since: 2.30

### webkit_website_data_access_permission_request_get_current_domain ()

    const char *
    webkit_website_data_access_permission_request_get_current_domain
                                   (WebKitWebsiteDataAccessPermissionRequest *request);

Get the current domain being browsed.

#### Parameters

request | a WebKitWebsiteDataAccessPermissionRequest |

#### Returns

the current domain name

Since: 2.30

## Types and Values

### struct WebKitWebsiteDataAccessPermissionRequest

    struct WebKitWebsiteDataAccessPermissionRequest;

## See Also

WebKitPermissionRequest, WebKitWebView